import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const scMenuDividerCss = ":host{display:block}.menu-divider{border-top:solid 1px var(--sc-panel-border-color);margin:var(--sc-spacing-x-small) 0}";

const ScMenuDivider$1 = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
  }
  render() {
    return h("div", { part: "base", class: "menu-divider", role: "separator", "aria-hidden": "true" });
  }
  static get style() { return scMenuDividerCss; }
}, [1, "sc-menu-divider"]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["sc-menu-divider"];
  components.forEach(tagName => { switch (tagName) {
    case "sc-menu-divider":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, ScMenuDivider$1);
      }
      break;
  } });
}
defineCustomElement$1();

const ScMenuDivider = ScMenuDivider$1;
const defineCustomElement = defineCustomElement$1;

export { ScMenuDivider, defineCustomElement };
